"""
Test logging usage.
"""

# User Imports.
from src.logging import init_logging


# Import logger.
logger = init_logging(__name__)


def main():
    """
    Test logging output to console.
    """
    print('\n\nTesting logging from within main....\n')

    logger.debug('main() DEBUG logging statement.')
    logger.info('main() INFO logging statement.')
    logger.warning('main() WARNING logging statement.')
    logger.error('main() ERROR logging statement.')
    logger.testing('main() TEST logging statement.')

    print('\n\nTesting logging from imported project file...\n')
    from src.test_file import import_file_function
    import_file_function()

    print('\n\nTesting logging from fake "git submodule" main...\n')
    from src.submodule_test.main import submodule_main
    submodule_main()

    print('\n')


if __name__ == '__main__':
    print('Starting program.')

    main()

    print('Terminating program.')
