"""
Test submodule logging usage.
"""

# System Imports.
import pathlib, sys

# Handle for "git submodule" path normalization.
submodule_path = str(pathlib.Path(__file__).parent.parent.absolute())
sys.path.insert(1, submodule_path)

# User Imports.
from submodule_test.src.logging import init_logging


# Import logger.
logger = init_logging(__name__)


def submodule_main():
    """
    Test logging output to console.
    """
    logger.debug('fake "git submodule" main() DEBUG logging statement.')
    logger.info('fake "git submodule" main() INFO logging statement.')
    logger.warning('fake "git submodule" main() WARNING logging statement.')
    logger.error('fake "git submodule" main() ERROR logging statement.')
    logger.submodule('fake "git submodule" main() SUBMODULE logging statement.')

    print('\n\nTesting logging from fake "git submodule" imported project file...\n')
    from submodule_test.src.test_file import import_file_function
    import_file_function()
